<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:10 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AbstractTypeBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">AbstractTypeBindingImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Abstract Type Binding</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AssemblyPartImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">AssemblyPartImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Assembly Part</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AtomicComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">AtomicComponentImplementationImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Atomic Component Implementation</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ComponentModuleImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">ComponentModuleImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Component Module</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ComponentTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">ComponentTypeImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Component Type</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/CompositeComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">CompositeComponentImplementationImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Composite Component Implementation</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ConnectionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">ConnectionImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Connection</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ConnectionLinkImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">ConnectionLinkImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Connection Link</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">IBindingImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IBinding</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IComponentImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">IComponentImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IComponent</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">IComponentImplementationImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IComponent Implementation</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/InteractionItemBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">InteractionItemBindingImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Interaction Item Binding</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IPortSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">IPortSpecImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>IPort Spec</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/PortRoleSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">PortRoleSpecImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Port Role Spec</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/PortTypeSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">PortTypeSpecImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Port Type Spec</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/TechnicalPolicyImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">TechnicalPolicyImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Technical Policy</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/Ucm_componentsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">Ucm_componentsFactoryImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Factory</b>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/Ucm_componentsPackageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl">Ucm_componentsPackageImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Package</b>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
